Approve token payroll settlements
curl --request POST \
--url https://app.toku.com/api/tokuApi/v1/approveTokenPayrollSettlements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-role-type: <x-role-type>' \
--data '
{
"tokenPayrollID": "<string>",
"walletReferenceIDs": [
"<string>"
],
"pendingSettlements": [
{
"roleInOrgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contributorInTokenPayrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlementOrderForContributorTokenPayrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>",
"tokenID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokenAmount": 123,
"fiatAmount": 123,
"fiatCurrency": "<string>",
"exchangeRate": 123,
"exchangeRateDate": "2023-11-07T05:31:56Z",
"inprogress": true,
"approvedAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://app.toku.com/api/tokuApi/v1/approveTokenPayrollSettlements"
payload = {
"tokenPayrollID": "<string>",
"walletReferenceIDs": ["<string>"],
"pendingSettlements": [
{
"roleInOrgID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contributorInTokenPayrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlementOrderForContributorTokenPayrollID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>",
"tokenID": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tokenAmount": 123,
"fiatAmount": 123,
"fiatCurrency": "<string>",
"exchangeRate": 123,
"exchangeRateDate": "2023-11-07T05:31:56Z",
"inprogress": True,
"approvedAt": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"x-role-type": "<x-role-type>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-role-type': '<x-role-type>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tokenPayrollID: '<string>',
walletReferenceIDs: ['<string>'],
pendingSettlements: [
{
roleInOrgID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contributorInTokenPayrollID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
settlementOrderForContributorTokenPayrollID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
walletAddress: '<string>',
tokenID: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tokenAmount: 123,
fiatAmount: 123,
fiatCurrency: '<string>',
exchangeRate: 123,
exchangeRateDate: '2023-11-07T05:31:56Z',
inprogress: true,
approvedAt: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://app.toku.com/api/tokuApi/v1/approveTokenPayrollSettlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"approvedCount": 123
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Approve Token Payroll Settlements
Approves wallet references and pending settlements for a token payroll.
POST
/
approveTokenPayrollSettlements
Approve token payroll settlements
Authorizations
Personal API token. Create via createUserApiToken endpoint.
Headers
Role context for the request. Use CLIENT_ORG_ADMIN for most integrations.
Available options:
CLIENT_ORG_ADMIN, PAYROLL_ADMIN, FINANCE_ADMIN, TOKU_ADMIN Body
application/json
⌘I
